salesforce.cdp.hyperdb.v1

## Class QueryParam.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>
      - - salesforce.cdp.hyperdb.v1.QueryParam.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, QueryParamOrBuilder

Enclosing class:
  QueryParam

    public static final class QueryParam.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>
    implements QueryParamOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryParam`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`QueryParam.Builder` `addAllDatabases(Iterable<? extends AttachedDatabase> values)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `addDatabases(AttachedDatabase.Builder builderForValue)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `addDatabases(AttachedDatabase value)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `addDatabases(int index, AttachedDatabase.Builder builderForValue)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `addDatabases(int index, AttachedDatabase value)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`AttachedDatabase.Builder` `addDatabasesBuilder()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`AttachedDatabase.Builder` `addDatabasesBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryParam` `build()`
`QueryParam` `buildPartial()`
`QueryParam.Builder` `clear()`
`QueryParam.Builder` `clearArrowParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParam.Builder` `clearDatabases()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryParam.Builder` `clearJsonParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParam.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryParam.Builder` `clearOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`QueryParam.Builder` `clearParameters()`
`QueryParam.Builder` `clearParamStyle()` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`QueryParam.Builder` `clearQuery()` `string query = 1;`
`QueryParam.Builder` `clearResultRange()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`QueryParam.Builder` `clearSettings()`
`QueryParam.Builder` `clearTransferMode()` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`QueryParam.Builder` `clone()`
`boolean` `containsSettings(String key)` `map<string, string> settings = 4;`
`QueryParameterArrow` `getArrowParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParameterArrow.Builder` `getArrowParametersBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParameterArrowOrBuilder` `getArrowParametersOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`AttachedDatabase` `getDatabases(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`AttachedDatabase.Builder` `getDatabasesBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`List<AttachedDatabase.Builder>` `getDatabasesBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`int` `getDatabasesCount()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`List<AttachedDatabase>` `getDatabasesList()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`AttachedDatabaseOrBuilder` `getDatabasesOrBuilder(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`List<? extends AttachedDatabaseOrBuilder>` `getDatabasesOrBuilderList()` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`QueryParameterJson` `getJsonParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParameterJson.Builder` `getJsonParametersBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParameterJsonOrBuilder` `getJsonParametersOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`Map<String,String>` `getMutableSettings()` Deprecated.
`OutputFormat` `getOutputFormat()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`int` `getOutputFormatValue()` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`QueryParam.ParametersCase` `getParametersCase()`
`QueryParam.ParameterStyle` `getParamStyle()` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`int` `getParamStyleValue()` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`String` `getQuery()` `string query = 1;`
`com.google.protobuf.ByteString` `getQueryBytes()` `string query = 1;`
`ResultRange` `getResultRange()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`ResultRange.Builder` `getResultRangeBuilder()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`ResultRangeOrBuilder` `getResultRangeOrBuilder()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`Map<String,String>` `getSettings()` Deprecated.
`int` `getSettingsCount()` `map<string, string> settings = 4;`
`Map<String,String>` `getSettingsMap()` `map<string, string> settings = 4;`
`String` `getSettingsOrDefault(String key, String defaultValue)` `map<string, string> settings = 4;`
`String` `getSettingsOrThrow(String key)` `map<string, string> settings = 4;`
`QueryParam.TransferMode` `getTransferMode()` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`int` `getTransferModeValue()` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`boolean` `hasArrowParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`boolean` `hasJsonParameters()` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`boolean` `hasResultRange()` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor` `internalGetMapFieldReflection(int number)`
`protected com.google.protobuf.MapFieldReflectionAccessor` `internalGetMutableMapFieldReflection(int number)`
`boolean` `isInitialized()`
`QueryParam.Builder` `mergeArrowParameters(QueryParameterArrow value)` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParam.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryParam.Builder` `mergeFrom(com.google.protobuf.Message other)`
`QueryParam.Builder` `mergeFrom(QueryParam other)`
`QueryParam.Builder` `mergeJsonParameters(QueryParameterJson value)` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParam.Builder` `mergeResultRange(ResultRange value)` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`QueryParam.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryParam.Builder` `putAllSettings(Map<String,String> values)` `map<string, string> settings = 4;`
`QueryParam.Builder` `putSettings(String key, String value)` `map<string, string> settings = 4;`
`QueryParam.Builder` `removeDatabases(int index)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `removeSettings(String key)` `map<string, string> settings = 4;`
`QueryParam.Builder` `setArrowParameters(QueryParameterArrow.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParam.Builder` `setArrowParameters(QueryParameterArrow value)` `.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`
`QueryParam.Builder` `setDatabases(int index, AttachedDatabase.Builder builderForValue)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `setDatabases(int index, AttachedDatabase value)` `repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`
`QueryParam.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryParam.Builder` `setJsonParameters(QueryParameterJson.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParam.Builder` `setJsonParameters(QueryParameterJson value)` `.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`
`QueryParam.Builder` `setOutputFormat(OutputFormat value)` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`QueryParam.Builder` `setOutputFormatValue(int value)` `.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`
`QueryParam.Builder` `setParamStyle(QueryParam.ParameterStyle value)` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`QueryParam.Builder` `setParamStyleValue(int value)` `.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`
`QueryParam.Builder` `setQuery(String value)` `string query = 1;`
`QueryParam.Builder` `setQueryBytes(com.google.protobuf.ByteString value)` `string query = 1;`
`QueryParam.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryParam.Builder` `setResultRange(ResultRange.Builder builderForValue)` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`QueryParam.Builder` `setResultRange(ResultRange value)` `optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`
`QueryParam.Builder` `setTransferMode(QueryParam.TransferMode value)` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`QueryParam.Builder` `setTransferModeValue(int value)` `.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`
`QueryParam.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapFieldReflection

    protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### internalGetMutableMapFieldReflection

    protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)

Overrides:
  `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### clear

    public QueryParam.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### getDefaultInstanceForType

    public QueryParam getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryParam build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryParam buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryParam.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### setField

    public QueryParam.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                       Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### clearField

    public QueryParam.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### clearOneof

    public QueryParam.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### setRepeatedField

    public QueryParam.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               int index,
                                               Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### addRepeatedField

    public QueryParam.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### mergeFrom

    public QueryParam.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryParam.Builder>`

#### mergeFrom

    public QueryParam.Builder mergeFrom(QueryParam other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### mergeFrom

    public QueryParam.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                 throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryParam.Builder>`
Throws:
  `IOException`

#### getParametersCase

    public QueryParam.ParametersCase getParametersCase()

Specified by:
  `getParametersCase` in interface `QueryParamOrBuilder`

#### clearParameters

    public QueryParam.Builder clearParameters()

#### getQuery

    public String getQuery()

`string query = 1;`

Specified by:
  `getQuery` in interface `QueryParamOrBuilder`
Returns:
  The query.

#### getQueryBytes

    public com.google.protobuf.ByteString getQueryBytes()

`string query = 1;`

Specified by:
  `getQueryBytes` in interface `QueryParamOrBuilder`
Returns:
  The bytes for query.

#### setQuery

    public QueryParam.Builder setQuery(String value)

`string query = 1;`

Parameters:
  `value` - The query to set.
Returns:
  This builder for chaining.

#### clearQuery

    public QueryParam.Builder clearQuery()

`string query = 1;`

Returns:
  This builder for chaining.

#### setQueryBytes

    public QueryParam.Builder setQueryBytes(com.google.protobuf.ByteString value)

`string query = 1;`

Parameters:
  `value` - The bytes for query to set.
Returns:
  This builder for chaining.

#### getDatabasesList

    public List<AttachedDatabase> getDatabasesList()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesList` in interface `QueryParamOrBuilder`

#### getDatabasesCount

    public int getDatabasesCount()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesCount` in interface `QueryParamOrBuilder`

#### getDatabases

    public AttachedDatabase getDatabases(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabases` in interface `QueryParamOrBuilder`

#### setDatabases

    public QueryParam.Builder setDatabases(int index,
                                           AttachedDatabase value)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### setDatabases

    public QueryParam.Builder setDatabases(int index,
                                           AttachedDatabase.Builder builderForValue)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### addDatabases

    public QueryParam.Builder addDatabases(AttachedDatabase value)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### addDatabases

    public QueryParam.Builder addDatabases(int index,
                                           AttachedDatabase value)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### addDatabases

    public QueryParam.Builder addDatabases(AttachedDatabase.Builder builderForValue)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### addDatabases

    public QueryParam.Builder addDatabases(int index,
                                           AttachedDatabase.Builder builderForValue)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### addAllDatabases

    public QueryParam.Builder addAllDatabases(Iterable<? extends AttachedDatabase> values)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### clearDatabases

    public QueryParam.Builder clearDatabases()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### removeDatabases

    public QueryParam.Builder removeDatabases(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### getDatabasesBuilder

    public AttachedDatabase.Builder getDatabasesBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### getDatabasesOrBuilder

    public AttachedDatabaseOrBuilder getDatabasesOrBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesOrBuilder` in interface `QueryParamOrBuilder`

#### getDatabasesOrBuilderList

    public List<? extends AttachedDatabaseOrBuilder> getDatabasesOrBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

Specified by:
  `getDatabasesOrBuilderList` in interface `QueryParamOrBuilder`

#### addDatabasesBuilder

    public AttachedDatabase.Builder addDatabasesBuilder()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### addDatabasesBuilder

    public AttachedDatabase.Builder addDatabasesBuilder(int index)

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### getDatabasesBuilderList

    public List<AttachedDatabase.Builder> getDatabasesBuilderList()

`repeated .salesforce.hyperdb.grpc.v1.AttachedDatabase databases = 2;`

#### getOutputFormatValue

    public int getOutputFormatValue()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Specified by:
  `getOutputFormatValue` in interface `QueryParamOrBuilder`
Returns:
  The enum numeric value on the wire for outputFormat.

#### setOutputFormatValue

    public QueryParam.Builder setOutputFormatValue(int value)

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Parameters:
  `value` - The enum numeric value on the wire for outputFormat to set.
Returns:
  This builder for chaining.

#### getOutputFormat

    public OutputFormat getOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Specified by:
  `getOutputFormat` in interface `QueryParamOrBuilder`
Returns:
  The outputFormat.

#### setOutputFormat

    public QueryParam.Builder setOutputFormat(OutputFormat value)

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Parameters:
  `value` - The outputFormat to set.
Returns:
  This builder for chaining.

#### clearOutputFormat

    public QueryParam.Builder clearOutputFormat()

`.salesforce.hyperdb.grpc.v1.OutputFormat output_format = 3;`

Returns:
  This builder for chaining.

#### getSettingsCount

    public int getSettingsCount()

Description copied from interface: `QueryParamOrBuilder`
`map<string, string> settings = 4;`

Specified by:
  `getSettingsCount` in interface `QueryParamOrBuilder`

#### containsSettings

    public boolean containsSettings(String key)

`map<string, string> settings = 4;`

Specified by:
  `containsSettings` in interface `QueryParamOrBuilder`

#### getSettings

    @Deprecated
    public Map<String,String> getSettings()

Deprecated.
Use `getSettingsMap()` instead.

Specified by:
  `getSettings` in interface `QueryParamOrBuilder`

#### getSettingsMap

    public Map<String,String> getSettingsMap()

`map<string, string> settings = 4;`

Specified by:
  `getSettingsMap` in interface `QueryParamOrBuilder`

#### getSettingsOrDefault

    public String getSettingsOrDefault(String key,
                                       String defaultValue)

`map<string, string> settings = 4;`

Specified by:
  `getSettingsOrDefault` in interface `QueryParamOrBuilder`

#### getSettingsOrThrow

    public String getSettingsOrThrow(String key)

`map<string, string> settings = 4;`

Specified by:
  `getSettingsOrThrow` in interface `QueryParamOrBuilder`

#### clearSettings

    public QueryParam.Builder clearSettings()

#### removeSettings

    public QueryParam.Builder removeSettings(String key)

`map<string, string> settings = 4;`

#### getMutableSettings

    @Deprecated
    public Map<String,String> getMutableSettings()

Deprecated.
Use alternate mutation accessors instead.

#### putSettings

    public QueryParam.Builder putSettings(String key,
                                          String value)

`map<string, string> settings = 4;`

#### putAllSettings

    public QueryParam.Builder putAllSettings(Map<String,String> values)

`map<string, string> settings = 4;`

#### getTransferModeValue

    public int getTransferModeValue()

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Specified by:
  `getTransferModeValue` in interface `QueryParamOrBuilder`
Returns:
  The enum numeric value on the wire for transferMode.

#### setTransferModeValue

    public QueryParam.Builder setTransferModeValue(int value)

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Parameters:
  `value` - The enum numeric value on the wire for transferMode to set.
Returns:
  This builder for chaining.

#### getTransferMode

    public QueryParam.TransferMode getTransferMode()

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Specified by:
  `getTransferMode` in interface `QueryParamOrBuilder`
Returns:
  The transferMode.

#### setTransferMode

    public QueryParam.Builder setTransferMode(QueryParam.TransferMode value)

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Parameters:
  `value` - The transferMode to set.
Returns:
  This builder for chaining.

#### clearTransferMode

    public QueryParam.Builder clearTransferMode()

`.salesforce.hyperdb.grpc.v1.QueryParam.TransferMode transfer_mode = 5;`

Returns:
  This builder for chaining.

#### getParamStyleValue

    public int getParamStyleValue()

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Specified by:
  `getParamStyleValue` in interface `QueryParamOrBuilder`
Returns:
  The enum numeric value on the wire for paramStyle.

#### setParamStyleValue

    public QueryParam.Builder setParamStyleValue(int value)

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Parameters:
  `value` - The enum numeric value on the wire for paramStyle to set.
Returns:
  This builder for chaining.

#### getParamStyle

    public QueryParam.ParameterStyle getParamStyle()

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Specified by:
  `getParamStyle` in interface `QueryParamOrBuilder`
Returns:
  The paramStyle.

#### setParamStyle

    public QueryParam.Builder setParamStyle(QueryParam.ParameterStyle value)

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Parameters:
  `value` - The paramStyle to set.
Returns:
  This builder for chaining.

#### clearParamStyle

    public QueryParam.Builder clearParamStyle()

`.salesforce.hyperdb.grpc.v1.QueryParam.ParameterStyle param_style = 6;`

Returns:
  This builder for chaining.

#### hasArrowParameters

    public boolean hasArrowParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Specified by:
  `hasArrowParameters` in interface `QueryParamOrBuilder`
Returns:
  Whether the arrowParameters field is set.

#### getArrowParameters

    public QueryParameterArrow getArrowParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Specified by:
  `getArrowParameters` in interface `QueryParamOrBuilder`
Returns:
  The arrowParameters.

#### setArrowParameters

    public QueryParam.Builder setArrowParameters(QueryParameterArrow value)

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

#### setArrowParameters

    public QueryParam.Builder setArrowParameters(QueryParameterArrow.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

#### mergeArrowParameters

    public QueryParam.Builder mergeArrowParameters(QueryParameterArrow value)

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

#### clearArrowParameters

    public QueryParam.Builder clearArrowParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

#### getArrowParametersBuilder

    public QueryParameterArrow.Builder getArrowParametersBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

#### getArrowParametersOrBuilder

    public QueryParameterArrowOrBuilder getArrowParametersOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterArrow arrow_parameters = 7;`

Specified by:
  `getArrowParametersOrBuilder` in interface `QueryParamOrBuilder`

#### hasJsonParameters

    public boolean hasJsonParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Specified by:
  `hasJsonParameters` in interface `QueryParamOrBuilder`
Returns:
  Whether the jsonParameters field is set.

#### getJsonParameters

    public QueryParameterJson getJsonParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Specified by:
  `getJsonParameters` in interface `QueryParamOrBuilder`
Returns:
  The jsonParameters.

#### setJsonParameters

    public QueryParam.Builder setJsonParameters(QueryParameterJson value)

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

#### setJsonParameters

    public QueryParam.Builder setJsonParameters(QueryParameterJson.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

#### mergeJsonParameters

    public QueryParam.Builder mergeJsonParameters(QueryParameterJson value)

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

#### clearJsonParameters

    public QueryParam.Builder clearJsonParameters()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

#### getJsonParametersBuilder

    public QueryParameterJson.Builder getJsonParametersBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

#### getJsonParametersOrBuilder

    public QueryParameterJsonOrBuilder getJsonParametersOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryParameterJson json_parameters = 8;`

Specified by:
  `getJsonParametersOrBuilder` in interface `QueryParamOrBuilder`

#### hasResultRange

    public boolean hasResultRange()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

Specified by:
  `hasResultRange` in interface `QueryParamOrBuilder`
Returns:
  Whether the resultRange field is set.

#### getResultRange

    public ResultRange getResultRange()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

Specified by:
  `getResultRange` in interface `QueryParamOrBuilder`
Returns:
  The resultRange.

#### setResultRange

    public QueryParam.Builder setResultRange(ResultRange value)

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

#### setResultRange

    public QueryParam.Builder setResultRange(ResultRange.Builder builderForValue)

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

#### mergeResultRange

    public QueryParam.Builder mergeResultRange(ResultRange value)

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

#### clearResultRange

    public QueryParam.Builder clearResultRange()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

#### getResultRangeBuilder

    public ResultRange.Builder getResultRangeBuilder()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

#### getResultRangeOrBuilder

    public ResultRangeOrBuilder getResultRangeOrBuilder()

`optional .salesforce.hyperdb.grpc.v1.ResultRange result_range = 9;`

Specified by:
  `getResultRangeOrBuilder` in interface `QueryParamOrBuilder`

#### setUnknownFields

    public final QueryParam.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`

#### mergeUnknownFields

    public final QueryParam.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryParam.Builder>`